Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2057716 (CVE-2022-0729) - CVE-2022-0729 vim: Use of Out-of-range Pointer Offset
Summary: CVE-2022-0729 vim: Use of Out-of-range Pointer Offset
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-0729
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2057717 2057754
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-23 21:30 UTC by Anten Skrabec
Modified: 2022-10-03 16:19 UTC (History)
6 users (show)

Fixed In Version: vim 8.2.4460
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in vim. The vulnerability occurs due to crashes within specific regexp patterns and strings and leads to an out-of-range vulnerability. This flaw allows an attacker to input a specially crafted file, leading to a crash or code execution.
Clone Of:
Environment:
Last Closed: 2022-03-03 14:19:36 UTC
Embargoed:


Attachments (Terms of Use)

Description Anten Skrabec 2022-02-23 21:30:18 UTC
Use of Out-of-range Pointer Offset in GitHub repository vim/vim prior to 8.2.4440.

https://huntr.dev/bounties/f3f3d992-7bd6-4ee5-a502-ae0e5f8016ea
https://github.com/vim/vim/commit/6456fae9ba8e72c74b2c0c499eaf09974604ff30

Comment 1 Anten Skrabec 2022-02-23 21:30:32 UTC
Created vim tracking bugs for this issue:

Affects: fedora-34 [bug 2057717]

Comment 2 Anten Skrabec 2022-02-24 02:25:54 UTC
Created vim tracking bugs for this issue:

Affects: fedora-35 [bug 2057754]

Comment 5 Product Security DevOps Team 2022-03-03 14:19:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-0729


Note You need to log in before you can comment on or make changes to this bug.